Package org.apache.sysds.utils.stats

# Class NGramBuilder.NGramEntry<T,U>

java.lang.Object
org.apache.sysds.utils.stats.NGramBuilder.NGramEntry<T,U>

Enclosing class:
  NGramBuilder<T,U>

public static class NGramBuilder.NGramEntry<T,U> extends Object

## Constructor Summary

Constructors
Constructor
Description
`NGramEntry(String identifier, T[] entry, U[] stats, U cumStats, int offset)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get(int index)`
`U`
`getCumStats()`
`String`
`getIdentifier()`
`long`
`getOccurrences()`
`int`
`getOffset()`
`U`
`getStat(int index)`
`U[]`
`getStats()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NGramEntry

public NGramEntry(String identifier, T[] entry, U[] stats, U cumStats, int offset)

## Method Details

### getIdentifier

public String getIdentifier()

### getOccurrences

public long getOccurrences()

### getStat

public U getStat(int index)

### getCumStats

public U getCumStats()

### getStats

public U[] getStats()

### getOffset

public int getOffset()

### get

public T get(int index)